org.optaplanner.core.impl.score.stream.quad

## Class AbstractQuadJoiner<A,B,C,D>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractJoiner
  - - org.optaplanner.core.impl.score.stream.quad.AbstractQuadJoiner<A,B,C,D>

- All Implemented Interfaces:
    QuadJoiner<A,B,C,D>
  Direct Known Subclasses:
    CompositeQuadJoiner, NoneQuadJoiner, SingleQuadJoiner

      public abstract class AbstractQuadJoiner<A,B,C,D>
      extends AbstractJoiner
      implements QuadJoiner<A,B,C,D>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractQuadJoiner()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract TriFunction<A,B,C,Object[]>` | `getLeftCombinedMapping()`
    `abstract TriFunction<A,B,C,Object>` | `getLeftMapping(int joinerId)`
    `abstract Function<D,Object[]>` | `getRightCombinedMapping()`
    `abstract Function<D,Object>` | `getRightMapping(int joinerId)`
    `static <A,B,C,D> QuadJoiner<A,B,C,D>` | `merge(QuadJoiner<A,B,C,D>... joiners)`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractJoiner

      `getJoinerTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractQuadJoiner

          public AbstractQuadJoiner()

  - ### Method Detail

    - #### merge

          @SafeVarargs
          public static final <A,B,C,D> QuadJoiner<A,B,C,D> merge(QuadJoiner<A,B,C,D>... joiners)

    - #### getLeftMapping

          public abstract TriFunction<A,B,C,Object> getLeftMapping(int joinerId)

    - #### getLeftCombinedMapping

          public abstract TriFunction<A,B,C,Object[]> getLeftCombinedMapping()

    - #### getRightMapping

          public abstract Function<D,Object> getRightMapping(int joinerId)

    - #### getRightCombinedMapping

          public abstract Function<D,Object[]> getRightCombinedMapping()

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.